package dk.semaphor.dannotes.NCSO;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.zip.Deflater;
import java.util.zip.ZipEntry;
import java.util.zip.ZipOutputStream;
/**
 * @author Sofus Albertsen www.semaphor.dk
 */
public class ZipHelper {
	public File zipFile(File file) {
		
	byte[] buffer = new byte[1024];
	 
	try{
		
		FileOutputStream fos = new FileOutputStream(file.getAbsolutePath()+".zip");
		ZipOutputStream zos = new ZipOutputStream(fos);
		zos.setLevel(Deflater.BEST_COMPRESSION);
		ZipEntry ze= new ZipEntry(file.getName());
		zos.putNextEntry(ze);
		FileInputStream in = new FileInputStream(file.getAbsolutePath());

		int len;
		while ((len = in.read(buffer)) > 0) {
			zos.write(buffer, 0, len);
		}

		in.close();
		zos.closeEntry();

		//remember close it
		zos.close();

		System.out.println("Done zipping "+file.getAbsolutePath());

	}catch(IOException ex){
	   ex.printStackTrace();
	}
	return new File(file.getAbsolutePath()+".zip");
	}
}
